Error opening qt5 apps after updating qt5-styleplugins: Cannot mix incompatible Qt library (5.15.12) with this library (5.15.13)

System:
  Kernel: 6.7.10-x64v-xanmod1-1 arch: x86_64 bits: 64 compiler: gcc v: 13.2.1
    clocksource: tsc avail: hpet,acpi_pm
    parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-xanmod
    root=UUID=30342c7e-f5f2-4539-b072-b8c3e5701d39 rw rootflags=subvol=@
    quiet loglevel=3 ibt=off
  Desktop: GNOME v: 45.5 tk: GTK v: 3.24.41 wm: gnome-shell
    tools: gsd-screensaver-proxy dm: 1: GDM v: 45.0.1 note: stopped 2: SDDM
    Distro: Garuda base: Arch Linux
Machine:
  Type: Desktop Mobo: ASRock model: B550 Phantom Gaming 4/ac serial: <filter>
    uuid: 7059a1a8-f454-0000-0000-000000000000 UEFI: American Megatrends LLC.
    v: P2.20 date: 02/24/2022
CPU:
  Info: model: AMD Ryzen 7 5800X socket: AM4 bits: 64 type: MT MCP
    arch: Zen 3+ gen: 4 level: v3 note: check built: 2022 process: TSMC n6 (7nm)
    family: 0x19 (25) model-id: 0x21 (33) stepping: 0 microcode: 0xA201016
  Topology: cpus: 1x cores: 8 tpc: 2 threads: 16 smt: enabled cache:
    L1: 512 KiB desc: d-8x32 KiB; i-8x32 KiB L2: 4 MiB desc: 8x512 KiB
    L3: 32 MiB desc: 1x32 MiB
  Speed (MHz): avg: 3800 min/max: 2200/4850 boost: enabled
    base/boost: 3800/4850 scaling: driver: acpi-cpufreq governor: performance
    volts: 1.1 V ext-clock: 100 MHz cores: 1: 3800 2: 3800 3: 3800 4: 3800
    5: 3800 6: 3800 7: 3800 8: 3800 9: 3800 10: 3800 11: 3800 12: 3800
    13: 3800 14: 3800 15: 3800 16: 3800 bogomips: 121370
  Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm
  Vulnerabilities: <filter>
Graphics:
  Device-1: NVIDIA GA104 [GeForce RTX 3070 Ti] vendor: Micro-Star MSI
    driver: nvidia v: 550.54.14 alternate: nvidiafb,nouveau,nvidia_drm
    non-free: 545.xx+ status: current (as of 2024-02; EOL~2026-12-xx)
    arch: Ampere code: GAxxx process: TSMC n7 (7nm) built: 2020-2023 pcie:
    gen: 1 speed: 2.5 GT/s lanes: 16 link-max: gen: 4 speed: 16 GT/s ports:
    active: none off: DP-1,HDMI-A-1 empty: DP-2,DP-3 bus-ID: 06:00.0
    chip-ID: 10de:2482 class-ID: 0300
  Device-2: Microdia Dual Mode Camera (8006 VGA) driver: hid-generic,usbhid
    type: USB rev: 2.0 speed: 12 Mb/s lanes: 1 mode: 1.1 bus-ID: 5-1:2
    chip-ID: 0c45:8006 class-ID: 0301
  Display: server: X.Org v: 21.1.11 with: Xwayland v: 23.2.4
    compositor: gnome-shell driver: X: loaded: nvidia unloaded: modesetting
    alternate: fbdev,nouveau,nv,vesa gpu: nvidia,nvidia-nvswitch
    display-ID: :0 screens: 1
  Screen-1: 0 s-res: 3520x1189 s-dpi: 96 s-size: 931x315mm (36.65x12.40")
    s-diag: 983mm (38.69")
  Monitor-1: DP-1 mapped: DP-0 note: disabled pos: primary,top-left
    model: Sceptre K25 built: 2022 res: 1920x1080 dpi: 90 gamma: 1.2
    size: 543x302mm (21.38x11.89") diag: 621mm (24.5") ratio: 16:9 modes:
    max: 1920x1080 min: 640x480
  Monitor-2: HDMI-A-1 mapped: HDMI-0 note: disabled pos: bottom-r
    model: HP V20 serial: <filter> built: 2021 res: 1600x900 hz: 60 dpi: 94
    gamma: 1.2 size: 432x240mm (17.01x9.45") diag: 501mm (19.7") ratio: 16:9
    modes: max: 1600x900 min: 640x480
  API: EGL v: 1.5 hw: drv: nvidia platforms: device: 0 drv: nvidia device: 2
    drv: swrast gbm: drv: nvidia surfaceless: drv: nvidia x11: drv: nvidia
    inactive: wayland,device-1
  API: OpenGL v: 4.6.0 compat-v: 4.5 vendor: nvidia mesa v: 550.54.14
    glx-v: 1.4 direct-render: yes renderer: NVIDIA GeForce RTX 3070 Ti/PCIe/SSE2
    memory: 7.81 GiB
  API: Vulkan v: 1.3.279 layers: 1 device: 0 type: discrete-gpu name: NVIDIA
    GeForce RTX 3070 Ti driver: nvidia v: 550.54.14 device-ID: 10de:2482
    surfaces: xcb,xlib
Audio:
  Device-1: NVIDIA GA104 High Definition Audio vendor: Micro-Star MSI
    driver: snd_hda_intel v: kernel pcie: gen: 4 speed: 16 GT/s lanes: 16
    bus-ID: 06:00.1 chip-ID: 10de:228b class-ID: 0403
  Device-2: AMD Starship/Matisse HD Audio vendor: ASRock
    driver: snd_hda_intel v: kernel pcie: gen: 4 speed: 16 GT/s lanes: 16
    bus-ID: 08:00.4 chip-ID: 1022:1487 class-ID: 0403
  API: ALSA v: k6.7.10-x64v-xanmod1-1 status: kernel-api with: aoss
    type: oss-emulator tools: alsactl,alsamixer,amixer
  Server-1: PipeWire v: 1.0.4 status: n/a (root, process) with:
    1: pipewire-pulse status: active 2: wireplumber status: active
    3: pipewire-alsa type: plugin 4: pw-jack type: plugin
    tools: pactl,pw-cat,pw-cli,wpctl
Network:
  Device-1: Realtek RTL8111/8168/8211/8411 PCI Express Gigabit Ethernet
    vendor: ASRock driver: r8169 v: kernel pcie: gen: 1 speed: 2.5 GT/s lanes: 1
    port: f000 bus-ID: 04:00.0 chip-ID: 10ec:8168 class-ID: 0200
  IF: enp4s0 state: down mac: <filter>
  Device-2: Intel Dual Band Wireless-AC 3168NGW [Stone Peak] driver: iwlwifi
    v: kernel pcie: gen: 1 speed: 2.5 GT/s lanes: 1 bus-ID: 05:00.0
    chip-ID: 8086:24fb class-ID: 0280
  IF: wlp5s0 state: up mac: <filter>
  Info: services: NetworkManager, systemd-timesyncd, wpa_supplicant
Bluetooth:
  Device-1: Intel Wireless-AC 3168 Bluetooth driver: btusb v: 0.8 type: USB
    rev: 2.0 speed: 12 Mb/s lanes: 1 mode: 1.1 bus-ID: 1-9:6 chip-ID: 8087:0aa7
    class-ID: e001
  Report: btmgmt ID: hci0 rfk-id: 0 state: up address: <filter> bt-v: 4.2
    lmp-v: 8 status: discoverable: no pairing: no class-ID: 6c0104
Drives:
  Local Storage: total: 4.55 TiB used: 601.07 GiB (12.9%)
  SMART Message: Required tool smartctl not installed. Check --recommends
  ID-1: /dev/sda maj-min: 8:0 vendor: Western Digital
    model: WD10EZEX-00BBHA0 size: 931.51 GiB block-size: physical: 4096 B
    logical: 512 B speed: 6.0 Gb/s tech: HDD rpm: 7200 serial: <filter>
    fw-rev: 1A01 scheme: GPT
  ID-2: /dev/sdb maj-min: 8:16 vendor: Samsung model: SSD 870 QVO 4TB
    size: 3.64 TiB block-size: physical: 512 B logical: 512 B speed: 6.0 Gb/s
    tech: SSD serial: <filter> fw-rev: 2B6Q scheme: GPT
Partition:
  ID-1: / raw-size: 1.2 TiB size: 1.2 TiB (100.00%) used: 601.04 GiB (49.0%)
    fs: btrfs block-size: 4096 B dev: /dev/sdb5 maj-min: 8:21
  ID-2: /boot/efi raw-size: 100 MiB size: 96 MiB (96.00%)
    used: 28.7 MiB (29.9%) fs: vfat block-size: 512 B dev: /dev/sdb1
    maj-min: 8:17
  ID-3: /home raw-size: 1.2 TiB size: 1.2 TiB (100.00%)
    used: 601.04 GiB (49.0%) fs: btrfs block-size: 4096 B dev: /dev/sdb5
    maj-min: 8:21
  ID-4: /var/log raw-size: 1.2 TiB size: 1.2 TiB (100.00%)
    used: 601.04 GiB (49.0%) fs: btrfs block-size: 4096 B dev: /dev/sdb5
    maj-min: 8:21
  ID-5: /var/tmp raw-size: 1.2 TiB size: 1.2 TiB (100.00%)
    used: 601.04 GiB (49.0%) fs: btrfs block-size: 4096 B dev: /dev/sdb5
    maj-min: 8:21
Swap:
  Kernel: swappiness: 133 (default 60) cache-pressure: 50 (default 100)
    zswap: no
  ID-1: swap-1 type: zram size: 31.27 GiB used: 0 KiB (0.0%) priority: 100
    comp: zstd avail: lzo,lzo-rle,lz4,lz4hc,842 max-streams: 16 dev: /dev/zram0
Sensors:
  System Temperatures: cpu: 50.9 C mobo: N/A gpu: nvidia temp: 56 C
  Fan Speeds (rpm): N/A gpu: nvidia fan: 0%
Info:
  Memory: total: 32 GiB available: 31.27 GiB used: 8.2 GiB (26.2%)
  Processes: 488 Power: uptime: 9h 26m states: freeze,mem,disk suspend: deep
    avail: s2idle wakeups: 0 hibernate: platform avail: shutdown, reboot,
    suspend, test_resume image: 12.45 GiB services: gsd-power,
    power-profiles-daemon, upowerd Init: systemd v: 255 default: graphical
    tool: systemctl
  Packages: 1778 pm: pacman pkgs: 1719 libs: 521 tools: paru pm: flatpak
    pkgs: 59 Compilers: gcc: 13.2.1 Shell: garuda-inxi (sudo) default: fish
    v: 3.7.0 running-in: gnome-terminal inxi: 3.3.33
Garuda (2.6.23-1):
  System install date:     2024-03-17
  Last full system update: 2024-03-19 ↻
  Is partially upgraded:   Yes
  Relevant software:       snapper NetworkManager dracut nvidia-dkms
  Windows dual boot:       Yes
  Failed units: 

The temporary solution was to manually downgrade the package to version 5.0.0.20170311-35, from AUR. The error keeps occurring when I try to open qt5 apps after upgrading the package to 5.0.0.20170311-35.4 from chaotic-aur

For now I have set this as an ignored package in /etc/pacman.conf. Is there a better solution to this? I would prefer not to remove it since it is how I get dark mode on some qt5 apps per this article: Get Qt5 Apps To Use Native Gtk+ Style In Ubuntu Or Debian - Linux Uprising Blog

A rebuild against the new qt5 libs is in progress.

3 Likes

The version 5.0.0.20170311-35.5 upgrade fixed it for me

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.